(*
$Id: makeres.pas 1.1 2002/01/15 14:58:26 tony Exp tony $
$Log: makeres.pas $
Revision 1.1  2002/01/15 14:58:26  tony
Update resource strings

Revision 1.0  2001/08/28 06:54:48  tony
Initial revision


        Tony's Full Screen Editor
        Version 1.00

        Copyright (C) AGE Software
        All rights reserved

        Purpose: Full screen multi-purpose editor.
        FILENAME: TED.PAS

        Startup File. Checks system configuration and prepares
        to load up editor and setup buffers.


*)
uses Drivers, Objects, TeConst;
const
  RCSID : String = '$Id: makeres.pas 1.1 2002/01/15 14:58:26 tony Exp tony $';
  RCSREV : String = '$Revision: 1.1 $';
  VERSION : TVersion = (Maj:1;Min:0);

type
  PProtectedStream = ^TProtectedStream;
  TProtectedStream = object(TBufStream)
    procedure Error(Code, Info: Integer); virtual;
  end;

var
  RezFile: TResourceFile;
  RezStream: PStream;

 { TProtectedStream }

procedure TProtectedStream.Error(Code, Info: Integer);
begin
  Writeln('Error in stream: Code = ',Code,' Info = ', Info);
  Halt(1);
end;

{ Resource procedures }

procedure CreateStrings;
var
  S: PStrListMaker;
begin
  S := New(PStrListMaker, Init(10000, 100));
  S^.Put(sHintAbout, 'Welcome to Text Editor. Press Enter to close dialog box');
  S^.Put(sAccessMenu, 'System commands');
  S^.Put(sRepaint, 'Repaint desktop');
  S^.Put(sFileMenu, 'File management commands (Open, New, Save, etc');
  S^.Put(sEditMenu, 'Cut and paste editing commands');
  S^.Put(sClipShow, 'Open the clipboard window');
  S^.Put(sSearchMenu, 'Text searching commands');
  S^.Put(sFind, 'Search for text');
  S^.Put(sReplace, 'Search for text and replace it with new text');
  S^.Put(sSearchAgain, 'Repeat the last find or replace command');
  S^.Put(sOptionsMenu, 'Sets defaults for editor');
  S^.Put(sOptionsVideo, 'Switch between hi res and low res modes');
  S^.Put(sColors, 'Customize editor colors');
  S^.Put(sWindowMenu, 'Open and arrange windows');
  S^.Put(sHelpMenu, 'Get online help');
  S^.Put(sAbout, 'Shows version and copyright information');

  RezFile.Put(S, 'Strings');
  Dispose(S, Done);
end;

begin
  PrintStr('Text Editor Resource Maker'#13#10);
  PrintStr(Copy(RCSRev,2,(Length(RCSRev) - 2))+#13#10#13#10);
  RegisterType(RStrListMaker);
  PrintStr('Creating resoure file...');
  RezFile.Init(New(PBufStream, Init('TE.RES', stCreate, 1024)));
  CreateStrings;
  RezFile.Done;
  PrintStr('Done!'#13#10);
end.